Skip Menu |
 

This queue is for tickets about the Module-Install CPAN distribution.

Report information
The Basics
Id: 98178
Status: new
Priority: 0/
Queue: Module-Install

People
Owner: Nobody in particular
Requestors: djerius [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 1.10
Fixed in: (no value)



Subject: change of meaning of 'gpl' license to mean GPL v3 is problematic
Download (untitled) / with headers
text/plain 801b
Hi, Module::Install v1.10 has upgraded 'gpl' to point to GPL v3 rather than GPL v1 and has removed gpl3. This is causing some amount of breakage. 1. Any existing gpl licensed modules (which were implicitly GPL v1 ) now will have metadata (via the resources.license field) indicating that they are GPL v3. 2. Existing 'gpl3' modules now don't have the resources.license field set properly. 3. Module::Install::AutoLicense maps gpl -> GPL v1, which adds more confusion for those who now think gpl means gpl3 #1 is a serious problem, I really think you need to revert the change in meaning of gpl. I think it's safer to add the CPAN::Meta::Spec v2 versioned licenses (gpl_1, gpl_2, gpl_3), even if Module::Install outputs metadata compliant with only v1 of that spec. Thanks, Diab


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.